import React from 'react';
import Modal from 'react-modal';
import {doHttpGet} from '../../UtilitiesFunctions/ajaxUtilities.js';
import ReactTable from 'react-table';



export default class InformationTab extends React.Component{

	constructor(props) {
		super(props);
	}

	componentDidMount(){}

	
		

	   render(){

	   	let columns = this.props.columns;
	   	let data = this.props.data;
	   	return(
	   	 <div className="DataTable InformationTab">
                 <ReactTable
                    className="mainTable"
                    data = {data}
                    columns = {columns}
                    style={{fontSize: '12px', color: 'rgba(0,0,0,0.4)'}}
                    showPagination={false}
                    sortable={true}
                    resizable={true}
                    pageSize={7}
                    showFilters={false}
                    showPageSizeOptions={false}
                    collapseOnPageChange={true}
                    
                    />
            </div>
           )
	   }
	}